import React from "react";

const Cat = ({ width, height, fill }) => {
  return (
    <svg
      width={width}
      height={height}
      viewBox="0 0 94 73"
      fill="none"
      xmlns="http://www.w3.org/2000/svg"
    >
      <path
        fillRule="evenodd"
        clipRule="evenodd"
        d="M47.4078 16.4285L41.1793 16.85C37.152 12.0732 25.866 0.0379944 14.627 0.0379944C14.627 0.0379944 5.40151 13.8997 14.4395 32.3972C11.864 36.2842 10.2718 38.298 9.94402 42.934L0.905762 44.292L1.88927 48.8815L10.1313 47.6637L10.787 50.9887L3.43477 55.3907L5.63577 59.5585L12.426 55.3907C17.8113 66.8172 31.4388 72.624 47.4078 72.624C63.3765 72.624 77.004 66.8172 82.3893 55.3907L89.1798 59.5585L91.3808 55.3907L84.0285 50.9887L84.684 47.6637L92.926 48.8815L93.9095 44.292L84.8713 42.934C84.5435 38.298 82.9513 36.2842 80.3758 32.3972C89.4138 13.8997 80.1883 0.0379944 80.1883 0.0379944C68.9493 0.0379944 57.6633 12.0732 53.636 16.85L47.4078 16.4285ZM33.3588 30.4772C35.945 30.4772 38.0418 32.574 38.0418 35.1602C38.0418 37.7467 35.945 39.8432 33.3588 39.8432C30.7725 39.8432 28.6758 37.7467 28.6758 35.1602C28.6758 32.574 30.7725 30.4772 33.3588 30.4772ZM61.4565 30.4772C64.0428 30.4772 66.1395 32.574 66.1395 35.1602C66.1395 37.7467 64.0428 39.8432 61.4565 39.8432C58.8703 39.8432 56.7735 37.7467 56.7735 35.1602C56.7735 32.574 58.8703 30.4772 61.4565 30.4772ZM42.7248 44.5262H52.0905L48.8125 51.0355C49.749 54.0327 52.3715 56.2337 55.6028 56.2337C59.4823 56.2337 62.6273 53.0887 62.6273 49.2092H64.9688C64.9688 54.3817 60.7755 58.575 55.6028 58.575C52.0905 58.575 49.0468 56.655 47.4078 53.8922C45.7685 56.655 42.7248 58.575 39.2125 58.575C34.0398 58.575 29.8465 54.3817 29.8465 49.2092H32.188C32.188 53.0887 35.333 56.2337 39.2125 56.2337C42.4438 56.2337 45.0663 54.0327 46.0028 51.0355L42.7248 44.5262Z"
        fill={fill}
      />
    </svg>
  );
};

Cat.defaultProps = {
  width: "94",
  height: "73",
  fill: "#62CC6D",
};

export default Cat;
